package com.zjrs.ggfw.rlzysc.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

@TableName(value = "spring_scheduled_cron")
public class SpringScheduledCronPO {
    @TableId(value = "cron_id",type = IdType.ASSIGN_UUID)
    private String cronid;//主键id
    @TableField(value = "cron_key")
    private String cronkey;//定时任务完整类名
    @TableField(value = "cron_expression")
    private String cronexpression;//cron表达式
    @TableField(value = "task_explain")
    private String taskexplain;//任务描述
    private String status;//状态,1:正常;2:停用

    public String getCronid() {
        return cronid;
    }

    public void setCronid(String cronid) {
        this.cronid = cronid;
    }

    public String getCronkey() {
        return cronkey;
    }

    public void setCronkey(String cronkey) {
        this.cronkey = cronkey;
    }

    public String getCronexpression() {
        return cronexpression;
    }

    public void setCronexpression(String cronexpression) {
        this.cronexpression = cronexpression;
    }

    public String getTaskexplain() {
        return taskexplain;
    }

    public void setTaskexplain(String taskexplain) {
        this.taskexplain = taskexplain;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}


